regina::GlobalDirs Class Reference
File

Provides global routines that return directories in which various components of Regina are installed on the system. More...

`#include <file/globaldirs.h>`

## Static Public Member Functions

static std::string | home ()
| Returns Regina's primary home directory on the system. More...
static std::string | pythonModule ()
| Returns the directory in which Regina's python module is installed, or the empty string if the module is installed in python's standard site-packages directory. More...
static std::string | census ()
| Returns the directory containing the large machine-encoded census data files. More...
static std::string | pythonLibs ()
| Returns the directory in which optional "helper" Python libraries are installed. More...
static std::string | examples ()
| Returns the directory in which example data files (including the smaller but human-browsable census data files) are installed. More...
static std::string | engineDocs ()
| Returns the directory in which API documentation for Regina's calculation engine is installed. More...
static std::string | data ()
| Returns the directory containing miscellaneous data files for internal use Regina's calculation engine. More...
static void | setDirs (const std::string &homeDir, const std::string &pythonModuleDir, const std::string &censusDir=std::string())
| Tells Regina where data files are installed. More...

## Detailed Description

Provides global routines that return directories in which various components of Regina are installed on the system.

By default, these routines are only useful with a fixed filesystem installation of Regina (e.g., a typical Linux install). Specifically, they return the relevant directories as they were configured by cmake at build time.

If Regina may have been moved around on the filesystem (e.g., if you are running an app bundle on MacOS), then you must call setDirs() when your application starts. Otherwise the directories that GlobalDirs returns might be incorrect, and might not even exist.

The directories returned by home(), pythonModule() and census() can be independently changed at runtime, by calling setDirs(). All other directories maintained by this class are subdirectories of home().

At present this class does not support running Regina directly out of the source tree. This might be supported in future versions of Regina.

The documentation for this class was generated from the following file:

- file/globaldirs.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).